import sys


def test_perms(tupla, qui, perm):
    if qui == "user" and perm in tupla[0][1:4]:
        return True
    if qui == "group" and perm in tupla[0][4:7]:
        return True
    if qui == "others" and perm in tupla[0][7:10]:
        return True
    return False

#checking arguments
args = sys.argv
if len(args) != 4:
    print("Wrong number of arguments. Syntax: " + args[0] + " filename user|group|others r|w|x.")
    sys.exit()

filename = args[1]
user = args[2]
rwx = args[3]

if user not in ["user", "group", "others"]:
    print("User is not valid, please enter user, group or ohers")
    sys.exit()

if rwx not in ["r", "w", "x"]:
    print("Permission is not valid, please enter r, w or x")
    sys.exit()

lines = []

#reading the file line by line and staving first and last field of the line
with open("fitxer.txt", "r") as f:
    try:
        while True:
            line = next(f).split()
            lines.append([line[0], line[-1]])
    except StopIteration:
        pass

#testing the filename. when it finds the file, it prints the result and exits.
#if the file is not found, then it is comunicated to the user
for line in lines:
    if line[1] == filename:
        if test_permis(line, user, rwx):
            print(user + " has the permission " + rwx + " for " + line[1])
        else:
            print(user + " doesn't have the permission "  + rwx + " for " + line[1])

        sys.exit()

print("The file " +filename + " does not exists.")
